org.osgi.framework

## Interface FrameworkListener

All Superinterfaces:
  EventListener

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @ConsumerType
     @FunctionalInterface
    public interface FrameworkListener
    extends EventListener

A `FrameworkEvent` listener. `FrameworkListener` is a listener interface that may be implemented by a bundle developer. When a `FrameworkEvent` is fired, it is asynchronously delivered to a `FrameworkListener`. The Framework delivers `FrameworkEvent` objects to a `FrameworkListener` in order and must not concurrently call a `FrameworkListener`.

A `FrameworkListener` object is registered with the Framework using the `BundleContext.addFrameworkListener(FrameworkListener)` method. `FrameworkListener` objects are called with a `FrameworkEvent` objects when the Framework starts and when asynchronous errors occur.

Author:
  $Id: a8e5255b2b18c9ba60cf82d6e16a296667017399 $
See Also:
  `FrameworkEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `frameworkEvent(FrameworkEvent event)` Receives notification of a general `FrameworkEvent` object.

### Method Detail

#### frameworkEvent

    void frameworkEvent(FrameworkEvent event)

Receives notification of a general `FrameworkEvent` object.

Parameters:
  `event` - The `FrameworkEvent` object.